.. _changelog:

Release Notes
=============

- :feature:`-` In the review dashboards, users can now remove and add columns, including the track, session duration and shorter questions.
- :feature:`-` The submission API now includes IDs for submission types, tracks and rooms, rather than just references by name.
- :feature:`672` Speakers (or rather submitters) can now save a proposal as a draft while they are working on finishing the submission process.
- :feature:`-` The state of a proposal is now marked as "in review" on the speaker-facing side once the CfP closes, to make it clearer that there is no action to be taken at that time.
- :feature:`-` Breaking API change: The submissions, talks and speakers API endpoints do not include all question answers the user has access to by default anymore, due to performance considerations. You can restore the old behaviour with ``?questions=all``, or ``?questions=id,id`` to show selected answers instead.
- :feature:`-` Track descriptions are now shown publicly on the schedule page, in the track filter.
- :feature:`-` You can now filter the schedule by proposal track.
- :feature:`-` If organisers provide a room description, it is now shown in the room header in the grid schedule.
- :bug:`515` pretalx sometimes mysteriously creates two new schedules when releasing one, and then is in a confused and broken state until an administrator intervenes. Now pretalx can fix the situation on its own (though we still do not know how this ever happens).
- :bug:`-` The schedule API did not work to retrieve historical schedule versions when the schedule version included a dot, as it often does.
- :feature:`-` The schedule API now also includes breaks.
- :feature:`-` In the email outbox, pretalx now shows if a pending email comes from a known template, e.g. if it is an accept or reject email.
- :feature:`-` You can now exclude proposals with pending state changes from your search results.
- :feature:`-` To improve email template handling, the list of emails now shows just the subjects or use case, and you can click them to expand and see the details.
- :feature:`-` Breaks are now also shown on the mobile/minimal/linear schedule.
- :bug:`-` Review pages were not working when pretalx was run with Python 3.7 and the aggregation method "mean" (as opposed to "median").
- :feature:`-` Teams are now sorted by the date of their accessible events, making it easier to manage organizers with many event-specific teams.
- :bug:`-` The schedule widget was not showing up for some locales (particularly Chinese).
- :feature:`-` On sessions that have both videos and images, videos now show up first, and the overall layout is improved.
- :feature:`-` Schedule release warnings are now more actionable, by linking to more problematic proposals directly, or to a page listing all affected proposals for less complex warnings.
- :bug:`-` The statistics page had an off-by-one problem with the timeline, where every date was shown as one day earlier.
- :feature:`-` If you limit reviewer teams to specific tracks, they won't be able to see speaker profiles from outside their track(s) anymore.
- :feature:`-` Not so much a feature as a change: Speaker images are now cropped to the centre in the speaker list squares instead of to the top.
- :bug:`-` Fix social media preview images sometimes not showing up due to robots.txt constraints.
- :feature:`-` Use speaker profile images as social media preview where possible (does not include gravatar support atm).
- :feature:`-` Header images are now used as fallback for social media preview images if there's no logo.
- :bug:`-` Events with per-submission-type questions sometimes saw empty questions pages in the CfP flow.
- :feature:`-` Organisers can now assign reviewers to proposals in bulk, by uploading a JSON file.
- :feature:`-` Two new signals: ``agenda.html_above_session_pages`` and ``agenda.html_below_session_pages`` allow plugins to add custom text to the public schedule session pages.
- :feature:`-` The schedule widget can now be given a top margin at which to stop the scrolling of its room/day headers.
- :feature:`1301` Following a confirmation link to a proposal you don't have access to now shows a helpful page prompting you to double-check your account is correct. Anonymous users will be directed to log in first.
- :feature:`-` When you sort the review dashboard by number of reviews, it will now only use real reviews, not abstentions. The number of reviews including abstentions will be shown in parentheses.
- :bug:`1307` Availability times provided while confirming a proposal were not saved.
- :feature:`819` You can now turn off co-speakers – organsiers can still assign additional speakers, but speakers themselves will not be asked for additional speakers.
- :support:`-` Note to administrators of self-hosted instances: documentation for installation and upgrades now recommends that you use ``pip install --upgrade-strategy eager`` to make sure you get non-pinned bugfix updates.
- :feature:`-` Organisers can see speaker email addresses in embedded API paths.
- :feature:`-` Proposal attachments can be included in exports now.
- :feature:`-` Organisers can configure how the review score should be displayed to reviewers: only explanation, only score, explanation first, score first.
- :feature:`-` Instead of being restricted to *puny* ranges of 0-99 with one decimal place, review scores can now range up to 10,000 and have two decimal places, for all your > 9000 review scoring needs.
- :feature:`-` If a submission type has a duration of 0 minutes, its duration won't be shown.
- :bug:`-` On the review form, mandatory fields no longer are marked as "optional".
- :bug:`-` Proposal answers now appear always in the original order for reviewers.
- :feature:`-` If you upload an image to a session, it is now used as a preview image on social media (with a fallback to the conference logo).
- :feature:`-` You can now export reviews in CSV or JSON formats, just like proposals, sessions and speakers.
- :bug:`-` On the event dashboard, reviews of deleted proposals were included in the review count tile.
- :bug:`-` On new events, questions could not be limited by track (because the field was hidden, due to legacy migrations).
- :bug:`-` Pretalx displayed speaker profile pictures even if profile pictures were not requested in the CfP, if they existed e.g. from past events.
- :feature:`-` Markdown preview is now also available for organisers when they edit existing proposals.
- :bug:`-` In some situations, it was impossible to delete uploaded files in question answers.
- :feature:`-` If you try to upload files that are larger than the upload limit, pretalx will now warn you before you even attempt the upload.
- :feature:`-` You can now, finally!, use SVGs as event logo and event header images.
- :bug:`-` Reminders about unanswered questions were always sent in the event language, instead of the user's/speaker's chosen language.
- :feature:`-` There are new question types: You can now ask for a URL, a date, or a date and a time (and you can set allowed ranges for the latter two).
- :bug:`1284` Some browsers cached hidden fields in forms extremely aggressively, so pretalx has stopped relying on them as much.
- :feature:`-` Organisers can now configure not just field help texts, but also field titles/labels.
- :feature:`-` The custom CSV and JSON exports are now the new default on the export pages, since they're more useful to the average user.
- :bug:`1281` Fixed a rare race condition, where on schedule release, two new WIP schedules were created, leading to persistent errors on some event pages.
- :bug:`1278` Deleting a proposal from its detail view would lead to a 404 page (because pretalx tried to redirect you back to the original page, which was now unavailable).
- :feature:`-` Added a way to quickly check or uncheck all the possible export fields in the export form.
- :bug:`-` Fixed a bug where the time travelling option in the schedule editor was unreliable.
- :bug:`-` Fixed a bug where trying to filter by answers to a multiple choice question would not work.
- :feature:`1272` Speaker and talk pages now always use the user's current locale when formatting dates.
- :feature:`-` You can now remove a pending state be re-selecting the current state of a proposal.
- :feature:`-` Email placeholders now explain their use when you hover over them.
- :feature:`-` New email placeholder: ``{all_reviews}`` allows you to send all review texts (though not scores!) to submitters.
- :bug:`1266` pretalx only recognised overlapping scheduled talks for a speaker when they didn't start or end at the exact same time.
- :feature:`-` The rendering speed of all backend pages has been improved.
- :feature:`-` The performance of the schedule editor and release pages was improved for large events.
- :bug:`-` The track filter was missing on the review dashboard page.
- :bug:`-` Sometimes, breaks were shown oddly in the schedule editor, with incorrect start or end times.
- :feature:`-` Reviewer team settings (like track assignments) are now on the same page as the general team settings, and will be shown only if the team is currently a reviewer team.
- :feature:`619` Reviewers can now be assigned to proposals directly. Depending on your settings, reviewers can only see their assigned proposals, or will just see them highlighted.
- :feature:`-` Caching of schedule pages is reset the moment a new schedule version is released, so that integrations (for example with Venueless) that push notifications on new schedule releases will always see the actual new schedule.
- :feature:`-` Schedule pages showing the WIP schedule to organsiers aren't cached anymore, so all changes show up immediately.
- :feature:`1261` Automatic confirmation emails of received proposals are now also shown in the list of a user's emails, since the absence was confusing for organisers and speakers.
- :bug:`1260` It was possible to change teams so that they had access to no events – neither via the explicit list, nor via the "all events" flag, which was extremely confusing.
- :bug:`1259` The organiser dashboard included deleted proposals in the count on the event overview.
- :bug:`-` Some tables were not responsive on mobile devices, particularly in the organiser area.
- :feature:`1184` Review forms can now be sent with ctrl+enter for a smoother review workflow.
- :bug:`1253` Review scores were not copied when choosing a previous event to copy to a new event.
- :bug:`1258` The talk start time, when rendered in email templates, was always in UTC instead of local time.
- :bug:`1257` The email editor started to require all languages to be filled in, instead of at least one language. This was unintended, the previous behaviour has been restored.
- :feature:`766` When you change an event's timezone, all talks will now be moved to appear at the same *local* time.
- :bug:`1248` It was possible to set a talk's end time before its start time.
- :bug:`1247` In some cases, individual talk iCalendar files could be empty.
- :bug:`1244` Removed incorrect link to email editor from speaker pages.
- :support:`-` With the new ``move_event`` command, you can move events to the current day (default) or any other date, like this: ``move_event --event <event_name> --date 2021-12-26``
- :release:`2.3.2 <2023-03-07>`
- :bug:`` Fix a path traversal vulnerability in the static HTML schedule export.
- :release:`2.3.1 <2021-12-26>`
- :bug:`1243` Fix bug in setting proposal start times.
- :feature:`-` The new pending state feature is now available in custom JSON and CSV exports.
- :release:`2.3.0 <2021-12-24>`
- :feature:`667` Thanks to the new "pending state" feature, organisers and reviewers can mark proposals as accepted/rejected without letting speakers see the decision yet.
- :feature:`1232` You can filter submissions by multiple states in the API now.
- :support:`-` When updating, please take care to update your plugins, as some interfaces have changed. Plugin authors, please refer to PR 1230 to see changed settings access.
- :feature:`-` Tags are now shown in the reviewer dashboard and can be filtered for.
- :feature:`-` Pretalx now remembers the timezone you've selected on the schedule page across reloads.
- :feature:`-` The schedule editor now polls changes, so if somebody else changes the schedule while you're editing it, you will see the changes soon afterwards.
- :feature:`-` Pretalx will now highlight overlapping sessions on the schedule editor, and will also warn you before you release a new schedule if sessions overlap in the same room.
- :bug:`-` When you clicked a talk in the schedule editor, it would open in a new window, but also stay in dragging mode in the editor page.
- :bug:`-` Fixed an issue when rendering individual session times in emails.
- :support:`-` As Python 3.6 is EOL soon, we've dropped support, and now support Python 3.7+.
- :feature:`-` Schedules have better scroll behaviour on very wide and very narrow displays.
- :feature:`-` Media files are now excluded from crawlers via robots.txt.
- :bug:`-` Fixed a bug where abstaining during the review process wasn't possible while review scores were mandatory.
- :feature:`-` If you run a multi-lingual event, you don't have to request the content locale in your CfP anymore.
- :feature:`-` pretalx now comes with new translations, in Arabic, Spanish, and Brazilian Portuguese!
- :feature:`-` Email signatures now look a lot better in HTML emails
- :feature:`1171` Organisers can now disable audience feedback.
- :feature:`1163` You can now link to specific days on the schedule again, as with our old schedule. The link is generated when you click the tabs leading to specific days.
- :feature:`-` Plugin languages can now be either globally available or only for active events – plugin developers, please adjust your plugins!
- :feature:`-` Organisers can now disable the optional inclusion of gravatar images.
- :feature:`-` If you attach ``?lang=en`` to a request, pretalx will serve the page in the requested language (if active in the current event).
- :bug:`1157` When adding a new organisers to a team, email suggestions from known users didn't work.
- :bug:`1157` When adding a new speaker to a proposal, pretalx would suggest organiser accounts rather than speaker accounts.
- :feature:`412` pretalx finally supports sending of emails based on templates, with a full template placeholder system. Hello, {name}!
- :feature:`715` Email filters are now subtractive instead of additive, giving you more fine-grained control about your bulk emails.
- :bug:`1150` pretalx now doesn't allow you to test your custom SMTP settings until you have actually configured them.
- :feature:`976` Improved the tagging interface to be still useful with a large number of tags.
- :feature:`933` You can now change a session's room and time in the session form, allowing for minute-level accuracy instead of our usual 5-minute intervals.
- :feature:`-` Plugins can now perform actions on every schedule release (for example, to trigger an update in external consumers to avoid polling).
- :feature:`-` On session detail pages, the event timezone is now noted next to the time.
- :feature:`-` As a reminder, the event timezone will be shown at the top of the schedule editor page.
- :feature:`-` Anonymisation for reviewers can now be switched on on a team level, overriding the general event settings.
- :feature:`-` Plugin selection is now available for all organisers, not just administrators.
- :bug:`-` Session detail pages didn't use the full width of the page.
- :feature:`-` There is a new plugin hook that allows you to perform actions when a new schedule is released.
- :release:`2.2.0 <2021-08-15>`
- :feature:`-` To improve performance, the NoJS schedule is now located on a separate page.
- :feature:`1143` On self-hosted pretalx instances, you can now configure pretalx to include additional CSP headers, especially of interest for plugin developers.
- :bug:`-` In the submission API view, the end time of a slot was sometimes empty.
- :feature:`-` If you use custom domains, pretalx will automatically redirect the domain to the most recent event that uses this domain. This also means that you can configure multiple events with the same custom domain!
- :feature:`656` You can now choose if you want to compare the median of review scores or the average/mean.
- :feature:`313` Organisers can now create custom proposal and speaker exports (as either CSV or JSON), including any data they need.
- :support:`-` If you use PostgreSQL, please make sure to be on at least PostgreSQL 10.
- :feature:`-` pretalx will no longer send emails to localhost addresses, as those are used for deleted users. Please get in touch if this is a problem for you.
- :feature:`1069` You can freeze a question after a certain date, prohibiting users from changing their answers after the deadline.
- :feature:`1069` You can now attach deadlines to questions, making them optional before the deadline and mandatory afterwards.
- :feature:`-` With the ``anon`` query parameter, you can request anonymised proposal data from the API, even when you have permission to see the full data.
- :bug:`-` In the CfP editor, when a step description was only given in a language that wasn't currently active, you couldn't change it any longer.
- :bug:`1111` pretalx would send multiple emails for proposals with multiple speakers.
- :bug:`-` Not all existing review scores were recalculated when review score weights were changed during a review phase.
- :feature:`1082` Event header images are now scaled down to a height of 150px.
- :bug:`1093` pretalx sometimes over-reported the number of emails generated when bulk-sending emails.
- :feature:`1092` You can now get a list of proposals or speakers that are still missing the answer to a given question.
- :bug:`-` The display of external videos in pretalx was broken due to a security header being set too strictly.
- :feature:`-` pretalx has better rendering for multi-line code blocks (``\`\`\```) in markdown elements and supports code highlighting.
- :bug:`-` When your default submission type had a deadline prior to the event-wide deadline, the CfP form wouldn't accept new proposals past the earlier deadline.
- :bug:`1087` pretalx would sometimes show unnecessary warnings in the talk editor when talks were scheduled across day breaks.
- :feature:`-` You can mark review score categories as independent. They won't be part of the total calculation, and instead show up as their own column in the review dashboard.
- :feature:`-` You can now search speakers by specific given answers, as you could already search proposals and sessions.
- :bug:`-` The API would return errors in some edge cases when used by unauthenticated users.
- :bug:`-` When you created a session as organiser, you could choose a content language that was not supposed to be available in the active event.
- :bug:`-` Sessions without speakers were displayed weirdly in the "featured sessions" page.
- :feature:`-` Tags are now exposed in the API.
- :feature:`1047` The review statistics timeline chart now includes the total submitted proposals to the given date, in addition to the proposals submitted on the given date.
- :bug:`1049` Reviewers without further permissions could not create tags, even when they had the necessary permissions.
- :feature:`1036` The talk feedback page is now available once a talk has started, not once it is over.
- :bug:`1023` If you used links to pre-fill parts of the CfP form, you sometimes couldn't get part the first page.
- :bug:`-` The display of large talk images was off, extending them too far to the right.
- :feature:`-` The availability widget now shows day names in your locale instead of always using English.
- :feature:`-` To prevent emails getting recorded as spam, the custom sender address is now only used when you are using a custom email server. You can still set the reply-to address.
- :feature:`-` If you run pretalx with ``--no-pretalx-information``, it will not print the pretalx information header.
- :feature:`-` pretalx will resize uploaded images down to 1920x1080 (by default).
- :feature:`-` pretalx now removes EXIF metadata from all uploaded images.
- :feature:`-` The event activation signal can now return a string to be shown as success message.
- :bug:`-` The HTML export did not work with the new schedule page.
- :feature:`-` In addition to sending either all emails or a single email, organisers can now also send only the currently selected emails. This is particularly helpful with an email provider (*cough* google) who starts rejecting emails when bulk-sending, halfway through your sending process.
- :bug:`-` A bug led to the first schedule release of every event being empty, sometimes, since all talks were treated as unconfirmed.
- :bug:`-` Improved review interface so that long or complex scores don't break the interface when *editing* an existing review.
- :feature:`-` In the review dashboard, you can now filter the list of proposals by how many reviews they have.
- :feature:`1048` Added a password reset link to the page where you accept invitations to organiser teams.
- :bug:`1049` The tag creation page is now hidden for users who don't have permission to create tags.
- :feature:`-` Speaker information will now be copied when cloning an event.
- :feature:`-` Speaker information can now be created for specific tracks or proposal types.
- :feature:`-` You can now use the ``--silent`` flag with the ``regenerate_css`` command to reduce build verbosity.
- :feature:`735` You can now filter talks by track and type in the schedule editor.
- :feature:`-` Room availabilities are now more fine-grained, you can set them on a 15-minute basis instead of 30-minutes as before.
- :bug:`-` The statistics page didn't work for events with just a single submission type.
- :release:`2.1.1 <2021-01-16>`
- :release:`2.1.0 <2021-01-16>`
- :bug:`1046` pretalx shipped an incorrect override settings file that broke email sending.
- :bug:`-` pretalx would sometimes throw an error when you tried to create a proposal as an organiser without giving the speaker a name.
- :feature:`-` The pretalx schedule now always shows the event timezone (and allows users to switch to their local timezone, if it's different).
- :feature:`738` When organisers create a proposal or session in the backend, they can now schedule it directly on the creation page, instead of having to set the proposal to "accepted" and then move it in the interactive schedule editor.
- :release:`2.0.0 <2020-12-24>`
- :feature:`-` Reviewers can now tag reviews while reviewing, and later filter for those tags.
- :support:`-` The essentially unused override score feature has been removed.
- :feature:`-` Reviewers can now be asked to rate a proposal in several categories, with a total score calculated automatically.
- :support:`-` Pretalx has a new schedule, with a new widget. The old widget is deprecated and will be removed in the next release. Please migrate all of your widgets to the new widget code. You can generate it in your event's settings. Administrators: remember to check your access logs before upgrading to v2.1 to warn users about failing widgets.
- :feature:`-` There are two new API endpoints, ``/questions/`` and ``/answers/``, that incientally are our first writable API endpoints. The API docs have been updated.
- :support:`-` Email error reporting (sent to instance administrators) now includes a short explanation and a link to the pretalx issue tracker.
- :feature:`-` If a speaker has selected to show their gravatar, it is now also exposed in the API in the avatar field.
- :feature:`-` When you send out reminders about unanswered questions, you can now target specific questions, or tracks, or submission types.
- :feature:`-` pretalx now limits file uploads to 10MB.
- :feature:`979` In the schedule editor, you can now search for talks by speaker name.
- :feature:`-` pretalx now shows the complete history of logged changes to organisers.
- :support:`-` pretalx will no longer make alarmist noises about missing migrations.
- :feature:`882` You can now filter the submission list by specific question answers.
- :feature:`-` In addition to anonymising proposals, you can now also anonymise reviewers towards other reviewers.
- :feature:`-` Questions that are visible to reviewers now also show up on the review page, to avoid having to switch to the full submission view in the review process.
- :bug:`928` Reviewers had access to question answers that were not explicitly visible to reviewers by way of the API.
- :bug:`923` In some settings combinations, reviewers were unable to change or even see their own reviews after submitting them.
- :feature:`907` pretalx now prevents you from creating multiple tracks or submission types with the same name.
- :bug:`951` The link to the team settings on the review settings page was incorrect.
- :bug:`945` Internationalised strings were not always shown as such in the API, sometimes they were instead returned as plain strings.
- :feature:`947` In all exporters, you can now select the export language with the ``?lang=`` query parameter. If you don't supply the parameter, pretalx will continue to guess your locale as before. If you provide the parameter without a value, the default event locale will be used.
- :feature:`934` Instead of being unsorted as before, the list of talks on the schedule page is now sorted alphabetically.
- :bug:`936` The submission API returned a duration in formatted time, like "00:30", but the API documentation claimed it was a number of minutes. pretalx now returns the number of minutes as promised.
- :feature:`915` Tracks now have a description attached to them which is shown to the user in the CfP, if specified. This can be used to further explain an otherwise very short track name.
- :feature:`-` Redirects to an event domain now include CORS headers to permit access from any client, to make pretalx integration in other websites easier.
- :feature:`-` If you go to a login page while you are logged in (e.g. because it was still open in another tab), you are now redirected instead of being prompted to log in.
- :feature:`-` Exporters can now supply the CORS header they want to send. All exporters provided by pretalx directly now allow access from all origins by default.
- :feature:`-` Questions can now be limited by submission type.
- :feature:`772` Organisers can now leave a public comment when they release a new schedule. It will be visible in the changelog and the schedule RSS feed.
- :feature:`830` Administrators can now configure static and media files to be under different URLs than ``static`` and ``media``.
- :bug:`-` Using custom mail servers worked, but testing the connection in the settings page showed an error (incorrectly).
- :feature:`-` Plugin developers can now add content to the HTML head area with the new ``pretalx.cfp.signals.html_head`` signal.
- :feature:`-` If you move your event dates, the schedule is moved too, and you can send notifications to your speakers by releasing a new schedule version.
- :bug:`-` Firefox has a bug in their form caching. If you reviewed a submission, clicked "Save and next", then *went back and reloaded the page*, Firefox would incorrectly fill your review form with the choice *one point worse* than your original selection. If you then chose "Save and next" again, this value would be saved.
- :feature:`-` The test event creation command now allows you to specify the event slug. This allows you to generate multiple test events in various event stages.
- :bug:`-` A bug in our permission checks made pretalx unable to run on Windows.
- :feature:`-` Schedule notifications for speakers are now properly connected to the speaker accounts, instead of just referencing them by email addresses.
- :feature:`-` Now, event organisers can activate and deactivate plugins for their events. Previously this was restricted to administrators.
- :support:`-` If you have a plugin that listens to the ``footer_link`` signal, please change it so that it returns a list of dictionaries instead of a single dictionary. The dictionary-only return value is deprecated and support will be removed in a future pretalx version.
- :feature:`-` The new signal ``pretalx.common.signals.activitylog_display`` allows plugins to change how entries in the pretalx activity log are displayed.
- :feature:`-` The new signal ``pretalx.orga.signals.event_copy_data`` allows plugins to transfer data from one event to the next at event creation time.
- :feature:`-` The help text for questions can now be 800 characters long instead of 200.
- :bug:`-` Under specific circumstances, the ``django_sessions`` table could bloat a lot. This is fixed with the next release and the table will shrink over time as long as you regularly run the ``clearsessions`` command.
- :feature:`855` The filtered list of speakers in the organiser area now contains only people with confirmed *or accepted* talks, and is also better at showing the filter currently applied.
- :feature:`-` Organisers can now anonymise submission content for reviewers, if they choose to do anonymised reviews. They can redact or edit any part of the submission for the reviewers' view of it to remove identifying information.
- :bug:`-` It wasn't possible to hide a submission type unless accessed with an access token. (Or, well, it was possible, but the possibility was hidden.)
- :feature:`880` The submission statistics now ignore deleted submissions.
- :support:`-` This version of pretalx has higher database version requirements. We now support PostgreSQL 9.6+, MariaDB 10.1+, MySQL 5.6+, and SQLite 3.8.3+.
- :bug:`877` The frontend markdown preview would not render all line breaks as line breaks (only two line breaks in a row), but the server rendered version did.
- :feature:`873` If you create a new event and copy an old event's configuration, pretalx will now also copy tracks and questions.
- :feature:`-` Organisers can now choose how to display their schedule. Currently, the only two options are the previous grid display, or a list with talks and times.
- :feature:`-` In the API, the event list is now sorted so that the oldest event comes last, not first as it was before.
- :feature:`-` If your event has only a single language configured, pretalx won't show the language flag in the input fields anymore.
- :support:`-` To make translation contributions more accessible, you can now improve translations (or add new ones!) at `translate.pretalx.com <https://translate.pretalx.com>`_
- :feature:`-` pretalx now comes with an updated French translation, and a brand new Chinese community translation!
- :bug:`863` If incorrect variables were used in the schedule update email template, pretalx did not catch this mistake ahead of time, and instead just refused to release a new schedule.
- :feature:`-` A lot of minor UI improvements, a re-work of the colours and fonts in use, as well as improvements of mobile and responsive pages.
- :feature:`-` Review scores are now consistently shown as numbers, and the text representation/meaning of those numbers is shown on hover.
- :feature:`-` Reviewers can now see both their own score and the median score in the review dashboard.
- :feature:`-` People without edit or delete permissions are not shown the edit or delete buttons on submissions anymore.
- :bug:`-` When updating the settings for an event with a custom domain, pretalx would mistakenly show an error message that this domain was already in use for another event.
- :release:`1.1.2 <2020-01-10>`
- :bug:`-` If a CfP requested the submitters' availability at submission time, only logged-in users could successfully finish the submission workflow.
- :release:`1.1.1 <2020-01-10>`
- :bug:`844` The 1.1.0 release was only installable via git (either by way of pip URLs or a full checkout), not by pip on its own.
- :bug:`-` The list of all submission feedback given in a single event was only usable for people with administrator permissions.
- :bug:`-` Not all CfP form help text parts were translated.
- :release:`1.1.0 <2019-12-21>`
- :feature:`-` pretalx now comes with an update check, which will notify you when new pretalx or plugin versions are available. This check sends anonymous data to the pretalx.com server, which is run by the pretalx developer. The data consist of a random but stable ID, the number of total and public events, and the version of pretalx and all installed plugins. No identifying information will be retained, and there is a visible and persistent opt-out warning until acknowledged by an administrator.
- :bug:`-` One broken task among the periodically executed task would prevent others from being executed.
- :bug:`828` Deleted talks could still be shown with their previous title and speaker. Now they are always replaced with a box saying "[deleted]" with no further information.
- :bug:`816` Reducing the slot count of a submission where all slots had been scheduled would not remove spare slots.
- :feature:`-` Plugins can now add content to the top of the user profile pages and the user-private submission lists.
- :feature:`841` File attachments generated from user data are now generated to be in safe ASCII range, to avoid trouble with Unicode-sensitive gunicorn versions.
- :feature:`794` There is now a page that shows all feedback by attendees for any talk in the conference.
- :feature:`432` Organisers can now send emails to all speakers who have not uploaded slides/files for their talk yet.
- :feature:`-` pretalx now has pretty error pages for CSRF fails and 400 errors. Test error pages are located at ``/400``, ``/403``, ``/404``, ``/500``, and ``/403/csrf``.
- :feature:`792` There is now a CSV export for answered questions.
- :feature:`814` Questions of the type "choose one from a list" are now shown as a list of radio input options instead of a single drop-down, if there are three or less options to choose from.
- :feature:`-` Plugins can now implement the ``uninstalled`` method to perform actions when a user deactivates them for an event.
- :support:`-` We documented the implicit requirement that the filesystem pretalx accesses should work with non-ASCII file names. Please check the installation documentation if you want to make sure this is the case for you.
- :feature:`-` The submission type list and the track list now list the numbers of submissions per entry.
- :feature:`638` You can now determine if the answers to talk questions should be visible to reviewers. This allows you to ask personal questions of your submitters, even when you are running an anonymous review process.
- :feature:`648` pretalx now comes with a CfP editor that allows you to change the headline, text, and help texts on each of the CfP step pages.
- :feature:`760` Speakers can now see and reset their API token in their profile page.
- :support:`-` We have added a couple of pages to the pretalx wiki on GitHub, most importantly a list of events using pretalx, and a list of available plugins. The wiki is world-writable, so please add to it if you have an event or plugin that hasn't been mentioned yet!
- :feature:`277` The static HTML export will now be triggered when talk or speaker data is changed (as long as it's also generated on schedule release). To protect against high server load, it will still run at most once every hour.
- :feature:`-` To reduce scroll wheel abrasions, pretalx schedules are now tabbed with one tab per event day.
- :feature:`-` You can now embed a widget of the pretalx schedule on your own pages. You can generate the HTML necessary for the widget in your event settings.
- :feature:`242` pretalx has learned what breaks are. Organisers can create those in the schedule editor, and they will be shown in an appropriately muted way in the schedule.
- :feature:`324` Organisers can create access tokens that allow users to submit after the CfP deadline, or that give access to hidden tracks or submission types.
- :feature:`-` pretalx has the new management command ``create_test_event``, which creates a demo event in a stage of your choice (``cfp``, ``review``, ``schedule`` or ``over``). All user accounts are created with ``@example.org`` email addresses.
- :feature:`-` If you want to display your schedule on your own homepage, pretalx now offers you a schedule widget. You can generate the code for the widget in your organiser settings.
- :feature:`-` For events that span multiple days, pretalx now shows the conference days in a tabbed display, instead of requiring you to scroll a lot.
- :feature:`-` If pretalx encounters an error it can't recover from, the error page now shows a link to a partially filled GitHub issue.
- :bug:`-` pretalx would show an error when users were asked to select their submission's track during the CfP workflow.
- :release:`1.0.4 <2019-10-15>`
- :bug:`-` In feedback pages for talks that contained multiple speakers, the email addresses of those speakers were shown next to their names.
- :feature:`-` Allow users to add an imprint URL that will be shown at the bottom of every public event page.
- :bug:`-` On the sneak peek preview page, markdown wasn't rendered correctly to HTML.
- :feature:`-` If pretalx is running in development mode, its favicon will be red.
- :feature:`-` Plugin authors will now have access to all configuration sections starting with ``[plugin:*]``, to ease the integration of system level settings.
- :feature:`787` Provide the file uploads a speaker added to their submission via the ``/talks`` and ``/submissions`` API endpoint.
- :feature:`-` Show speakers how many feedback notes have been left (if any) in their personal submission list view.
- :feature:`-` Answers to boolean questions are not displayed as "yes", "no", and "maybe" in public display, instead of "true" or "false".
- :bug:`775` When a speaker withdrew their already-accepted talk, the talk slot was not removed from the schedule editor. It did work when setting the state via the organiser interface.
- :bug:`774` The API endpoint for events always returned a 404 on the detail view, even when event was visible in the list view.
- :feature:`-` Speaker and talk detail pages now contain links to their respective API detail pages as alternate links.
- :feature:`-` The main schedule page now returns a 303 See Also redirect if accessed with JSON or XML accept headers.
- :bug:`773` In the ``/talks`` and ``/submissions`` endpoints, speaker biographies were not exposed. They were available in the ``/speakers`` endpoint as expected, so if you cannot currently upgrade, please be advised to use that endpoint.
- :feature:`-` Organisers can now disable/remove the profile picture input field if they don't want any speaker pictures at all.
- :feature:`-` The event creation assistant now suggests more sensible event slugs.
- :feature:`-` The time(s), date(s) and location(s) of scheduled talks were added to the private speaker pages of those talks, making it easier for speakers to find out when and where their talk is taking place.
- :feature:`-` The API is now also available as an HTML browsable API. Filters and searches should be working as well as just browsing around.
- :feature:`-` The events API endpoint now comes with a field exposing links to the schedule page, and the login page, among other things.
- :bug:`754` Reviews could be returned multiple times in the reviews API endpoint (though the total count returned was correct).
- :feature:`742` Organisers can now set a minimum or maximum length for submission titles.
- :feature:`743` If no schedule has been published but a sneak peek is available, the schedule page now redirects to the sneak peek page.
- :feature:`-` The pretalx markdown display now supports markdown tables.
- :feature:`-` Due to the powerful and hard-to-specify nature of the schedule HTML import, the frontend facing schedule XML import has been removed. Administrators can still import schedule files with the ``import_schedule`` command.
- :release:`1.0.3 <2019-06-27>`
- :bug:`730` The talk page of talks with multiple slots did not work and threw an error instead.
- :bug:`729` The “unscheduled talks” column in the schedule editor could overlap with the room columns on events with many rooms.
- :bug:`728` The “Invite reviewers” link on the main event dashboard led to an incorrect page.
- :feature:`732` Speaker availability is now included in the API for organisers.
- :feature:`475` Organisers can now regenerate the accept/reject emails from the review dashboard context menu.
- :support:`-` To keep in line with our new database scoping, if you access the pretalx shell, you are now advised to use the ``shell_scoped`` command instead of the ``shell`` command, and call it with the flags for your event, like ``--event__slug=my-event`` (or an ``--override`` flag to access all events).
- :feature:`731` Users can now see (and potentially edit) their submission's submission type.
- :bug:`-` Some custom domains could not be set via the frontend.
- :feature:`-` Organisers can now also see unconfirmed talks in their preview of the public schedule page. The unconfirmed talks are clearly marked to avoid confusion.
- :release:`1.0.2 <2019-06-07>`
- :bug:`-` Organisers were able to see all emails sent to a user in their events, instead of only emails sent for the currently active event. This is a data leak. You can find more information `on our blog <https://pretalx.com/p/news/incident-report-data-leak-in-pretalx-10/>`_.
- :feature:`-` We now add a hash to all uploaded file names to avoid collisions.
- :release:`1.0.1 <2019-06-03>`
- :bug:`719` In the submission process, file upload questions would not be saved correctly.
- :bug:`713` The sneak peek toggle in the submission list did not actually work due to a changed URL.
- :bug:`718` Regular installation from PyPI was broken due to an incorrect file reference.
- :release:`1.0.0 <2019-06-02>`
- :feature:`427` Organisers can now permit users to submit (and change) their own talk duration length.
- :feature:`700` Submitters can now choose to withdraw their talk even if it was accepted. When an accepted talk is withdrawn, the organisers will receive a notification email.
- :feature:`-` When using a command line client to access a schedule page, pretalx will now output ASCII tables or lists, depending on the format parameter.
- :feature:`402` Fields with markdown support now come with a preview next to the input field (if JavaScript is enabled).
- :feature:`669` Emails can now also be sent grouped by submission track or submission type.
- :support:`-` You can now install ``pretalx[redis]`` if you use pretalx with a redis server for better caching and/or asynchronous task runners.
- :support:`-` Our documentation now lists the tasks a pretalx instance should run periodically, namely ``runperiodic`` about once every five minutes, and ``clearsessions`` about once a month.
- :feature:`-` Administrators can now see a dashboard with relevant settings and current information, including documentation links.
- :bug:`689` In the (undocumented) review API, reviews of deleted submissions were shown, even though those submissions were not available anymore via the frontend.
- :bug:`688` pretalx was inconsistent in its usage of email senders and Reply-To. Now, if there is a sender address configured, the Reply-To is not explicitly set. pretalx falls back to the instance-global sender if there is no event sender address. A Reply-To setting is available if the organisers wish to provide a separate address there.
- :feature:`682` The submission endpoint now provides a ``created`` field to organiser users.
- :feature:`326` During event creation, pretalx provides more critical feedback, such as asking if the event is supposed to take place in the past, or suggesting good slugs.
- :feature:`393` As an alternative to file uploads, organisers can now also provide their custom CSS directly as text.
- :feature:`360` Within the review dashboard, organisers can now accept and reject multiple submissions at the same time.
- :feature:`656` Instead of by average, review scores are now shown aggregated by the median.
- :bug:`655` Mails to submissions with titles near the length cap (of 200 characters) could not be created, since with the added "[event]" prefix the mail subject was too long to be saved.
- :feature:`-` Question pages now feature visual statistics where appropriate.
- :feature:`-` There now is a page for submission statistics.
- :feature:`628` Fill CfP form with track and submission type if they are available in the query string.
- :support:`-` pretalx is now able to run with Python 3.7 even when using Celery.
- :feature:`598` Via the new review phase settings, speakers can be allowed to modify their submissions while they are being reviewed.
- :feature:`641` At the undocumented URL `/<event>/speaker/by-id/123/` there is now a redirect to the canonical speaker URL `/<event>/speaker/CODE/` to work around export format restrictions.
- :bug:`565` When using the back button to return to the previous step in the submission workflow, the data from the current step had to be filled in to use the button, but was not saved. Now it will be saved, and the progress bar on top can be used for lossy (but quick) navigation to the previous step.
- :bug:`645` The rendering of the full submission content in the acknowledgement mail (upon submission) looked weird in HTML, due to missing line breaks.
- :bug:`646` On slow network connections, the login step of the CfP submission loaded in a sub-optimal way, leaving users with a seemingly finished page but without the login/registration form. As a consequence, all page loads (but especially that one) were optimised.
- :bug:`642` Having only one submission type in the event showed a drop-down with submission types from ALL events, instead of hiding the submission type input completely as intended.
- :feature:`609` Organisers can now filter submissions and reviews by track.
- :feature:`634` The API now provides internal notes by speakers and organisers to requesting users with adequate permissions.
- :feature:`-` Organiser can now provide a header image instead of a header colour and pattern for their events.
- :feature:`640` Instead of having to scroll with the mouse wheel or arrow keys when dragging a talk in the schedule editor, you can now just drag the talk to the upper or lower edge of the window instead.
- :feature:`-` In pretalx, emails the organisers send out are now connected with user accounts if the address matches anybody, allowing organisers and speakers to see which emails were sent to a speaker. This serves both as a help for organisers and speakers, in case emails get lost, email addresses are inaccessible, or any other issues occur.
- :feature:`637` pretalx will now display the schedule wider the more rooms are present, starting at four rooms and reaching maximum browser width for six rooms, to make schedules look less cramped and more readable.
- :feature:`620` Speakers can't invite other speakers any longer after the CfP is over.
- :support:`606` Our documentation now explains which parts of pretalx to back up.
- :feature:`486` In the schedule editor, the room names and the current date are now fixed to the top when scrolling down.
- :bug:`618` Fix a bug where some fields in the schedule XML export were rendered without their timezone offset (only day definitions, not the talk times).
- :feature:`532` Add a field for notes of the organisers for their own use which is not visible to the public and the speakers.
- :feature:`-` Reviewers are now shown a progress bar when going through submissions.
- :feature:`570` Submissions can now be scheduled multiple times, e.g. if a workshop will be held twice.
- :bug:`-` Changing the order of rooms made the schedule break.
- :feature:`433` Organisers can now view all reviews, except for their own submissions.
- :feature:`589` Before setting a new custom domain for an event, pretalx now checks if the domain has any DNS records.
- :bug:`-` A dependency of ours introduced an XSS vulnerability, which organisers could use to execute JavaScript during the CfP workflow of speakers via question texts. We have added a fix against this behaviour, and submitted a report including a patch to the upstream library. To prevent issues like this one in the future, we've moved all remaining JavaScript sources to files, and set the according CSP header, so that execution of inline JavaScript will be disabled.
- :feature:`364` Speakers can now invite a co-speaker while in the submission process.
- :feature:`62` Exporters can now opt in to show a QR code to their location. The XML and iCal exporters show a QR code linking their location by default.
- :feature:`477` If you only noticed after releasing your schedule that you wanted to changes something in your speaker notifications, you can now generate those emails again from the schedule editor actions menu.
- :bug:`479` When telling speakers about their scheduled or rescheduled slots, a hidden mail template was used instead of the actual template visible to the organiser.
- :feature:`563` For later reference, the full submission is included in the confirmation mail sent to the speaker.
- :bug:`571` When adding a submission as organiser, pretalx did not validate the speaker email address and then tried to send them an email regardless of its validity.
- :feature:`403` Organisers can now choose question answers by speakers to be published on the talk/speaker pages. This setting cannot be changed on once the question has been answered, to make sure that speakers are informed about this.
- :feature:`-` Reviewer teams can now be restricted to one or multiple tracks. Reviewers will only see submissions and reviews from these tracks.
- :feature:`-` Teams settings are now located exclusively at the organiser level. The navigation entry in the event sidebar will take you there directly.
- :feature:`523` If you use tracks, you can now choose to make questions available only to submissions on certain tracks.
- :feature:`459` The speaker page in the organiser backend now has a direct link to send an email to that speaker.
- :feature:`457` You can now order submissions by the number of reviews they have received on the review page.
- :feature:`566` The Reply-To field now permits multiple email addresses.
- :bug:`579` When organisers changed the event time frame, already submitted availabilities would have to be changed upon new submission.
- :feature:`577` You can now decide if text lengths should be counted in words or in characters when restricting how long they should be.
- :bug:`587` pretalx did not automatically update a talk's duration when it was changed via the submission type or directly. It was only changed when you moved the talk in the schedule editor.
- :bug:`594` pretalx did not display speaker availabilities during submission, even when they were required, breaking submission workflows.
- :feature:`346` Due to the generous sponsorship of JuliaCon, pretalx is now capable of blind reviews, i.e. making sure that reviewers cannot see speaker names.
- :feature:`-` The organiser area has now additional, event specific login pages (at ``/orga/event/<slug>/login/``) which redirect by default to the event dashboard, and appear with the colour and logo of the event in question.
- :feature:`-` The review settings have moved from the CfP page to their own settings page.
- :feature:`-` You can now decide to add the ``robots=noindex`` meta tag to prevent bots from crawling your event pages.
- :feature:`-` Plugin developers can now use the ``is_available`` hook to decide if their plugin should be shown on a per-event basis.
- :bug:`-` Speaker without an avatar and with gravatar disabled had a broken avatar-image in the speaker's view in the organiser backend.
- :bug:`-` The visual representation of a speaker's avatar is now consistent across all image-sizes and bio-texts.
- :bug:`583` When signing up with an email address with upper case letters included, pretalx only allowed to log in with a lower-cased email address.
- :bug:`572` People who had only deleted submissions in an event were still shown in the submitter list, which was unexpected and was since fixed.
- :feature:`-` If only one conference language is available, pretalx doesn't as speakers to choose it from a drop-down, as this behaviour is rather silly.
- :support:`-` pretalx doesn't run ``regenerate_css`` on startup automatically any longer. This reduces startup times. If for any reason an event does not look as it should, you can fix it by running ``python -m pretalx regenerate_css``. You will also need to execute this command on updates from now on.
- :feature:`-` You can now decide if you want to notify speakers about their changed talks when releasing a new schedule.
- :support:`-` To help make other pretalx installations more secure, we've updated our proposed nginx configuration to include an attachment header for all files under /media, to prevent user uploaded data to be delivered directly to other users. If you host a pretalx instance, please make use of this option.
- :feature:`-` Since SVG files are nearly impossible to sanitise, pretalx has given up trying, and will no longer accept SVG files as image uploads.
- :bug:`-` The iCal export for speakers who had both scheduled and not-yet-scheduled talks was broken.
- :feature:`559` Organisers can download a list of speakers as a CSV file.
- :support:`-` A couple of URLs now end in a trailing slash where they did not before – you will be automatically redirected, so you don't have to worry about it unless you integrate pretalx somewhere without following redirects.
- :feature:`-` You can set the URL of your static HTML export, if you're using one, and it will be used when generating absolute URLs, e.g. in exports or emails.
- :release:`0.9.0 <2018-12-21>`
- :feature:`-` pretalx can now group talks in tracks. Each talk can be assigned a track (either by the submitter, or by the organiser). Tracks will be displayed in configurable colours in the public schedule. The feature is entirely optional, and you can continue using pretalx without tracks without any problem.
- :feature:`-` We tuned pretalx performance to be faster when showing the schedules of large conferences with several hundreds of talks.
- :feature:`538` The sneak peek view will only feature talks that have been accepted.
- :feature:`440` Organisers can now follow an RSS feed to see new submissions – you'll have to provide your authentication token in the RSS request header to authenticate.
- :feature:`-` You can now set the default pretalx system wide time zone and locale (defaulting to ``UTC`` and English).
- :bug:`544` Organisers could see the titles of speaker information notes of all events, not just the currently active one (they could not see the details or edit them).
- :feature:`504` The schedule page is now better printable.
- :bug:`-` A `bug <https://github.com/celery/celery/issues/4878>` in celery could make running pretalx with asynchronous workers impossible. We've pinned an earlier celery version that doesn't show this problem.
- :support:`-` A new pretalx plugin adds media.ccc.de as a recording provider – this plugin replaces the previously inbuilt capacity of pretalx to provide recording iframes. (This functionality was never directly exposed and only accessible via the pretalx shell. It is now deprecated and will be removed in a later version.)
- :feature:`-` Plugins can now provide recording iframes (via the new ``register_recording_provider`` signal and other helpers).
- :feature:`-` The new ``nav_event_settings`` plugin signal allows plugins to integrate their own settings pages next to the pretalx core pages.
- :feature:`-` pretalx now presents a colour picker for your event primary colour, including a hint on colour suitability.
- :feature:`-` The new `/api/me` endpoint shows name, email address, locale, and timezone of the logged in user.
- :feature:`-` The ``nav_event`` plugin signal has changed to expect a list instead of a dictionary response. The dictionary response will be supported for one more version, and raises a deprecation warning.
- :feature:`-` The API now provides a ``/rooms`` endpoint.
- :feature:`530` The API now provides a ``/reviews`` endpoint.
- :bug:`529` When trying to review their own submission, a user would see a 404 not found error instead of an explanation that this was a forbidden action.
- :bug:`-` The password reset form told users if they had already tried to reset their password in the last 24 hours. While this is helpful, it also allows user discovery via password reset. Instead, the user now sees a more generic message.
- :feature:`-` While filling out the submission form wizard, submitters see a top bar telling them where they are in the submission process.
- :bug:`-` The event dashboard showed a wrong countdown towards the CfP end while the CfP end was between three and one day away.
- :feature:`-` The new event drop-down helps you find your event, even if you have access to many events.
- :bug:`-` The organiser login page did not strip white-space from login credentials.
- :bug:`524` Review settings contained the setting "Force data entry" twice, referring to the score and text, respectively.
- :bug:`522` If a speaker did not check a mandatory checkbox, they could not submit the form (as intended), but could see no feedback explaining the issue.
- :feature:`` The ``rebuild`` command now comes with a lot more build output for ease of debugging. You can disable the build output with the new ``--silent/-s`` flag.
- :feature:`476` Administrators can now delete both events and organisers.
- :feature:`493` Speaker email addresses are now available via the API for users with access permissions.
- :bug:`515` Under rare circumstances, the pretalx database could reach a state pretalx couldn't cope with due to duplicate schedule versions.
- :feature:`512` You can now configure if speakers should provide their availability during talk submission.
- :support:`-` Due to an updated Django version, pretalx has dropped support for PostgreSQL 9.3 and MySQL 5.5.
- :release:`0.8.0 <2018-09-23>`
- :bug:`-` When a user removed a submission containing an answered choice question, pretalx removed the selected answer option, too.
- :bug:`501` When a speaker held more than two talks, their related talks did not show up.
- :bug:`505` Custom CSS may now also include media queries.
- :bug:`500` Display of times could be off in the static HTML export.
- :support:`-` The URLs for schedule exports have changed from /my-event/schedule/export?exporter=exporter-name to /my-event/schedule/export/exporter-name – if you have hard-coded links to schedule exporters, please update them accordingly.
- :feature:`213` A human-readable time until the CfP closes now shows up next to the end time.
- :bug:`503` Not all current TLDs did end up included as URLs when processing markdown input to build links.
- :bug:`-` The schedule import in the organiser backend never worked (while the manage command for administrators did work).
- :feature:`454` As an organiser, it's now possible to send an email to all reviewers in the Compose Mail section.
- :feature:`492` In exports, HTTP ETags are now supported to allow for more aggressive caching on clients.
- :bug:`-` If a review question was mandatory while submission questions were active, they would block the submission process.
- :feature:`-` Organisers can now also reset the password for the speakers they have access to.
- :bug:`488` The HTML export contained media files (not other content) from all conferences on an instance, instead of the exported conference.
- :feature:`-` Present a public list of talks and a list of speakers.
- :bug:`478` The behaviour of pressing enter in multi-step forms was not intuitive in some places.
- :feature:`-` The submission list now includes a graph of submissions over time.
- :feature:`-` You can now see the sneak peek / is_featured flag in the submissions and talk API endpoints.
- :feature:`-` You can now use your authentication token to access all pages you have access to, as you already could for the API. This makes integration of exports much easier.
- :support:`-` All manage commands available in pretalx are now included in the documentation.
- :feature:`240` When using paper cards to build a schedule, each card comes with a QR code link to a quick scheduling form for that submission.
- :feature:`-` You can now see warnings and what the public changelog will look like before releasing a new schedule.
- :feature:`214` The schedule editor shows warnings on scheduling conflicts, including live feedback on where you can schedule a talk.
- :feature:`474` The review dashboard now features the same search and filter options as the submission list.
- :bug:`473` Following the revamp of team permissions, override votes were missing from the settings. We re-introduced the settings, and improved the general handling of override votes.
- :support:`-` pretalx now doesn't support usernames any longer – as all users had to have email addresses already, you will now have to provide an email address to log in. This may confuse users – as an administrator, you can look up users' email addresses if they don't remember them, or change them, if necessary.
- :bug:`-` You could make questions inactive, but not delete them.
- :feature:`408` You can now add length restrictions to abstracts, descriptions, speaker biographies, and all text-based questions.
- :feature:`-` When linking to a talk on social media, those pages will show the talk image.
- :feature:`-` French translation
- :feature:`-` The event logo shows up larger and up to the full width of the document below. Please check that your event still looks as intended after upgrading.
- :feature:`149` Allow to order rooms manually.
- :feature:`149` Allow to order questions manually.
- :support:`-` We now have tests to make sure all config options and plugin hooks are part of our documentation.
- :feature:`-` Instead of setting a flag somewhere, pretalx now has an explicit "go live" button. Plugins can listen to the corresponding signal (please refer to the plugin documentation for further information).
- :bug:`463` Don't show a 404 error if a reviewer tries to review their own submission, but show an error message instead.
- :feature:`-` For organisers, the submission/talk API endpoints now contain the question answers given by the speakers.
- :feature:`-` Schedules now contain a search bar to filter talks by title or speaker.
- :feature:`-` Schedules now feature a sidebar navigation to jump directly to a selected day.
- :feature:`-` Allow organisers to configure which of the default CfP fields to request and require. Please check your settings after updating, as the migration is not guaranteed to work as expected.
- :feature:`-` Prevent organisers from adding a non-localhost mail server without transport level security to make sure our Privacy Policy holds true.
- :feature:`415` Allow organisers to trigger a password reset for team members.
- :bug:`451` Don't crash during ``pretalx init`` if no conference organiser slug is present.
- :release:`0.7.1 <2018-06-19>`
- :bug:`-` The new read-only links for submissions received the same secret token when migrating the database. pretalx leaked no data, as this made using the read-only links impossible. When upgrading to the next release, all read-only link addresses will be reset.
- :bug:`-` A one-character-oversight led to issues with the new navigation search with certain user permissions.
- :release:`0.7.0 <2018-06-19>`
- :feature:`430` To maintain compatibility with frab XML exports, the schedule XML export now contains a ``<url>`` tag.
- :bug:`-` When trying to register a user with a nick that already existed in a different capitalisation, pretalx failed to show a clear error message.
- :feature:`128` An event's schedule is now available even if the browser has no internet connection, provided it has opened the schedule before.
- :support:`-` Provide better upgrade documentation for administrators.
- :support:`-` Add clever release notes.
- :bug:`443` (UI) The button colours when changing submission states were not intuitive.
- :feature:`-` You can now configure the configuration file with the ``PRETALX_CONFIG_FILE`` environment variable.
- :feature:`-` Some more context sensitive dashboard tiles include for example a countdown to the CfP end.
- :feature:`-` A navigation search allows you to go directly to a range of useful pages.
- :bug:`444` If two organisers set a submission to 'accepted' at the same time, two acceptance emails would show up in the outbox.
- :bug:`-` Removing a speaker from a submission could be impossible if their nick contained special characters.
- :feature:`-` Submitters can share a submission via a read-only link.
- :feature:`-` Organisers can configure a list of talks as "sneak peek" before they release the first schedule.
- :bug:`446` If an event had a custom domain configured, absolute URLs would still use the instance's default domain.
- :bug:`441` The "Mark speaker arrived" button is now visible during and slightly before the event, but not during other times.
- :bug:`-` The API always showed the speaker biography as empty.
- :bug:`-` When accessing a confirmation link unauthenticated, a 404 page was visible instead of a login page.
- :feature:`-` The API now exports links to submission images and speaker avatars.
- :bug:`-` HTML exports failed if a speaker had cancelled their talk.
- :bug:`-` Sometimes, empty HTML reports showed up with all talks missing.
- :release:`0.6.1 <2018-05-15>`
- :bug:`-` The "Copy to draft" button was missing when viewing a sent email.
- :bug:`431` Accepted, but unconfirmed talks showed up as "Other talks" on the public schedule once the speaker had confirmed one talk.
- :release:`0.6.0 <2018-05-06>`
- :feature:`-` New plugin hook: ``pretalx.submission.signals.submission_state_change`` will trigger on any state change by a submission.
- :feature:`-` The frab compatible XML now uses UUIDs, and includes an XML comment with a pretalx version string.
- :feature:`-` pretalx has a better general look and feel and colour scheme.
- :feature:`-` Organisers can make more changes to speaker profiles and submissions to ease event administration.
- :feature:`-` pretalx now has a concept of organisers and teams.
- :feature:`-` To avoid running into issues when uploading custom CSS, and ensuring smooth operations, custom colours and CSS is not used in the organiser area anymore.
- :feature:`-` You can now send mails from templates and use shortcuts from submissions to send mails to specific speakers.
- :feature:`-` Since different events have different needs, organisers can now choose if speakers have to provide submission abstracts, descriptions, and speaker biographies during the CfP.
- :bug:`375` Speakers could see their submission in the organiser backend, but could access no information they did not put there themselves.
- :bug:`-` The API showed talks to organisers if no schedule was present yet. It did not show the information to unauthorised users.
- :bug:`-` There was no possibility to reset a user's API token.
- :bug:`-` If an organiser changed a speaker's email address, they could assign an address already in use in the pretalx instance, resulting in buggy behaviour all around.
- :release:`0.5.0 <2018-03-07>`
- :feature:`-` pretalx now features a Plugin API, allowing to install custom plugins. Plugins can add their own exporters, and hook into plugin hooks. You can enable or disable plugins per event. You can find the plugin developer documentation: https://docs.pretalx.org/en/latest/developer/plugins/index.html
- :feature:`340` Organisers can now decide if reviewers should have to submit a score or a text with their review.
- :feature:`93` Organisers can provide room-based information for speakers, and send it automatically in the emails about talk scheduling.
- :feature:`318` The list of submissions is now better searchable.
- :feature:`294` Speakers can now upload an image that will show up next to their talk information.
- :feature:`-` Reviewers can now also answer custom questions during their review, with all capabilities that speaker questions have.
- :feature:`352` There are now optional review deadlines, preventing users from adding, modifying or removing reviews after a certain date.
- :feature:`-` Individual directories for logs, media, and static files can now take their values from environment variables.
- :feature:`348` Organisers can now show information snippets to submitters, or speakers.
- :feature:`-` Allow to filter question statistics by speaker status.
- :bug:`344` In the dashboard, reviewers would see an incorrect link to add new reviewers.
- :bug:`341` The "save" button was missing on the mail settings page.
- :bug:`333` Users could not see (instead not change) their submissions after CfP end, until they were either rejected or accepted.
- :bug:`-` In the <title> tag, the event showed up twice, once properly and once in a technical representation.
- :bug:`-` Documentation fix: The environment variable for database passwords is ``PRETALX_DB_PASS``, not ``PRETALX_DB_PASSWORD``.
- :bug:`-` Unconfirmed talks showed up as empty boxes in the schedule editor.
- :bug:`-` Upgrading the privileges of an existing user did not result in an email, since it required no new account.
- :bug:`300` The Docker setup was non-functional. The documentation includes a notice of limited support.
- :bug:`-` The organiser view now always uses the event timezone.
- :release:`0.4.1 <2018-02-05>`
- :bug:`335` CfP was not editable due to missing "Save" button.
- :bug:`336` Organisers couldn't add new questions.
- :release:`0.4.0 <2018-02-04>`
- :feature:`-` A page in the organiser area lists and links all possible data exports in one export page.
- :feature:`322` You may now import XML files to release a new schedule.
- :feature:`292` We added a new team management interface to manage all team members and permissions in one place.
- :feature:`-` The new `init` command for project setup adds the initial user, but in time it should ask for basic configuration, too.
- :feature:`-` The `rebuild` command now supports a `--clear` flag to remove all static assets before rebuilding them.
- :feature:`-` You can choose a pattern for the header hero strip in your event colour.
- :feature:`320` You can now choose different deadlines per submission type, overriding the default deadline.
- :feature:`325` All forms are instantly editable if you have edit permissions, and disabled otherwise. No more need to click "Edit"!
- :bug:`-` The schedule export could change project settings, requiring pretalx restart to reset the settings. Turning "Generate HTML export on schedule release" off was a workaround for this bug.
- :bug:`259` When running pretalx as (in-application) superuser, permission issues could arise. pretalx now warns and offers to migrate the account to an administrator account.
- :bug:`-` Frontend password validation was non-functional, and never displayed interactive password statistics. This was a display issue.
- :bug:`327` We removed the unused `max_duration` property of submission types.
- :bug:`329` Users always saw the default submission type instead of their chosen one.
- :release:`0.3.1 <2018-01-18>`
- :bug:`-` Make 404 errors more helpful.
- :bug:`-` Re-introduce support for the documented ``PRETALX_DATA_DIR`` environment variable.
- :bug:`-` Leaving an optional choice question empty resulted in a server error.
- :release:`0.3.0 <2018-01-17>`
- :feature:`243` Organisers can mark speakers as "arrived".
- :feature:`67` Visitors can download an iCal file containing all talks of a single speaker.
- :feature:`-` We have a new API for speakers.
- :feature:`-` The speaker biography is now visible in submissions in the API endpoint.
- :bug:`-` Non-superusers could not access the email sending form.
- :bug:`-` More than one event stage could be visible as active.
- :bug:`-` If a user without active log-in looked at entered submissions, they triggered a server error instead of a 404.
- :bug:`-` If notifications about new submissions were active, pretalx sent the mails to the submitter instead of the organiser.
- :release:`0.2.2 <2017-12-11>`
- :bug:`-` Reviewers could not view speaker pages.
- :bug:`-` Inviting somebody twice did not issue a second invitation object.
- :bug:`-` Somebody who was reviewer first could not join the organiser team.
- :release:`0.2.1 <2017-12-06>`
- :feature:`122` All HTML contains better meta tags, which leads to better display in social media.
- :bug:`289` Organisers could not delete inactive questions (making them active first worked as a workaround).
- :bug:`288` Organisers could not delete choice questions as long as they still had answer options.
- :bug:`-` Review team invitations sometimes failed, resulting in useless invitation objects.
- :bug:`-` Clicking the "Save & next" button when reviewing could result in an internal error, without any data loss.
- :bug:`-` Organisers could not remove reviewers from teams.
- :bug:`-` Absolute URLs always included 'localhost' as their host.
- :bug:`-` When adding a submission in the organiser backend with an organiser user as speaker, the organiser user did not receive a speaker profile.
- :release:`0.2.0 <2017-12-01>`
- :bug:`-` The default value for email SSL usage is now ``False``, permitting the default configuration of ``localhost:25`` to work on more machines out of the box.
- :feature:`159` E-mails are now sent with a multipart/HTML version, featuring the mail's text in a box, styled with the event's primary colour.
- :feature:`126` You can now choose to hide the public schedule (including talk pages and speaker pages, but excluding feedback pages and the schedule XML export)
- :feature:`215` pretalx validates mail template placeholders, and prevents organisers from saving templates including invalid placeholders.
- :feature:`208` You can now ask questions that take an uploaded file as an answer.
- :feature:`209` Speakers can now upload files which will be visible on their talk page.
- :feature:`210`, :feature:`195` The review interface has been rewritten to include fewer pages with more information relevant to the user, dependent on event stages and their role in the event.
- :feature:`38` pretalx can now run with celery (an asynchronous task scheduler) for long running tasks and tasks like email sending. The new config section is part of our documentation.
- :feature:`-` The new ``rebuild`` command will recompile all static assets.
- :feature:`207` Question answers now receive a nice evaluation, aggregating all given answers.
- :feature:`233` Organisers can mark questions as 'answers contain personal data'. When users delete their accounts, they also delete answers of these questions.
- :feature:`78` We moved to a new permission system that allows for more flexible roles. Please report any bugs that may relate to incorrect permissions.
- :feature:`171` You can now configure a custom domain to use with your event, in case you have an event specific domain for each of your events.
- :feature:`156` You can assign "override votes" to reviewers, which function like vetoes (both positive and negative), on an individual basis.
- :feature:`-` The new read-only REST API supports resources for events and submissions.
- :bug:`304` pretalx crashed with incorrect invite keys, now it shows a 404 page.
- :bug:`-` When building absolute URLs for exports, emails, and RSS feeds, pretalx used 'localhost' instead of the actual configured URL.
- :bug:`-` If a user was both an organiser member and a reviewer, they could encounter access rights issues.
- :bug:`-` When removing the custom event colour, and then adding it again, caching issues could occur.
- :bug:`-` Inactive questions (questions not visible to speakers) were not editable.
- :bug:`-` In some places, gravatar images of the visiting user were visible instead of the speaker.
- :bug:`-` The event stage display could show conflicting phases as active.
- :bug:`287` The default submission type was not, in fact, suggested by default.
- :release:`0.1.0 <2017-11-01>`
